## org.apache.lucene.search.spell
Class CombineSuggestion

    java.lang.Object
      org.apache.lucene.search.spell.CombineSuggestion

    public class CombineSuggestion

extends Object

A suggestion generated by combining one or more original query terms

Field Summary
`int[]` `originalTermIndexes` The indexes from the passed-in array of terms used to make this word combination
`SuggestWord` `suggestion` The word combination suggestion

Constructor Summary
`CombineSuggestion(SuggestWord suggestion, int[] originalTermIndexes)` Creates a new CombineSuggestion from a `suggestion` and an array of term ids (referencing the indexes to the original terms that form this combined suggestion)

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### originalTermIndexes

    public final int[] originalTermIndexes

  The indexes from the passed-in array of terms used to make this word combination

### suggestion

    public final SuggestWord suggestion

  The word combination suggestion

Constructor Detail

### CombineSuggestion

    public CombineSuggestion(SuggestWord suggestion,
                             int[] originalTermIndexes)

  Creates a new CombineSuggestion from a `suggestion` and an array of term ids (referencing the indexes to the original terms that form this combined suggestion)

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.